# Created by pyp2rpm-1.1.2
%global pypi_name gnupg
%global with_python3 1

Name:           python-%{pypi_name}
Version:        2.0.2
Release:        1%{?dist}
Summary:        A Python wrapper for GnuPG

License:        GPLv3+
URL:            https://github.com/isislovecruft/python-gnupg
Source0:        https://pypi.python.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-psutil
Requires:  python-psutil
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-psutil
%endif # if with_python3


%description
This module allows easy access to GnuPG's key management, encryption and
signature functionality from Python programs, by interacting with GnuPG through
file descriptors. Input arguments are strictly checked and sanitised, and
therefore this module should be safe to use in networked applications requiring
direct user input. It is intended for use on Windows, MacOS X, BSD, or Linux,
with Python ...

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        A Python wrapper for GnuPG
Requires:  python3-psutil


%description -n python3-%{pypi_name}
This module allows easy access to GnuPG's key management, encryption and
signature functionality from Python programs, by interacting with GnuPG through
file descriptors. Input arguments are strictly checked and sanitised, and
therefore this module should be safe to use in networked applications requiring
direct user input. It is intended for use on Windows, MacOS X, BSD, or Linux,
with Python ...
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/versioneer.py %{buildroot}/%{_bindir}/versioneer3
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/versioneer.py %{buildroot}/%{_bindir}/versioneer




%files
%doc LICENSE
%{_bindir}/versioneer
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc LICENSE
%{_bindir}/versioneer3
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Sun May 31 2015 Robert Kuska <rkuska@redhat.com> - 2.0.2-1
- Initial package.
